#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
const ll MOD = 1e9+7;
const int N = 2e5+5;

int n;
int a[N],b[N];

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i]>>b[i];
    }

    sort(a+1,a+1+n);
    sort(b+1,b+1+n);

    ll sum=0;

    for(int i=1;i<=n;i++){
        sum+=1LL*abs(i-a[i]);
        sum+=1LL*abs(i-b[i]);
    }

    cout<<sum;
    return 0;
}